WSLUSC(1)

NAME
wslusc - Component of WSL Utilities

SYNOPSIS
wslusc [-IsgN] [-d SHORTCUT_FILE] [-e PATH] [-n NAME] [-i FILE] COMMAND

wslusc [-hv]

DESCRIPTION
This is a WSL shortcut creator to create shortcut on Windows Desktop.

OPTIONS

-h, --help
    print a simple help

-v, --version
    print current version

-d, --shortcut-debug SHORTCUT_FILE
    debug the generated shortcut file.

-g, --gui
    create a shortcut that links to a GUI application.

-N, --native
    create a shortcut that uses the system builtin 'wslg.exe' to launch the GUI application.

-i, --icon
    add an icon to the Windows Shortcut. Supports .ico/.png/.svg.

-s, --smart-icon
    This enables the smart icon detection. This feature requires 'wslpy' to be installed.

-n, --name
    add a different name other than the command name.

-e, --env
    add a custom environment to your command. For example, if you want HiDPI support for a GTK app, add export GDK_SCALE=2; in your command, like this: wslusc ... -e "export GDK_SCALE=2;" ...

-I, --interactive
    interactive mode.

CONFIGURATION

WSLUSC_GUITYPE
    Default GUI type. Default type is 'legacy'. Use 'native' for Native GUI generation (wslg.exe) by default.

WSLUSC_SMART_ICON_DETECTION
    Smart Icon Detection. Requires wslpy (Requires Python 3.5). default is 'false'.

WSLUSC_BASE_CONVERTER_ENGINE
    Converter engine. You can choose either 'ffmpeg' or 'imagemagick'. By default it is 'imagemagick'.

AUTHOR
Created by Patrick Wu <me@patrickwu.space>

REPORTING BUGS
Report bugs to <https://github.com/wslutilities/wslu/issues>; For Ubuntu specific/related bugs, report to <https://bugs.launchpad.net/ubuntu/+source/wslu>.

COPYRIGHT
This is free software; you can redistribute it and/or modify it under the terms of the GNU GPL version 3 or (at your option) any later version. There is NO warranty; not even MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.

SEE ALSO
wslu(7)